This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 808139 - (CVE-2011-3048) CVE-2011-3048 libpng: memory corruption flaw
CVE-2011-3048 libpng: memory corruption flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120329,repor...
: Security
Depends On: 809595 809596 809597 812712 812713 812714 812715
Blocks: 808160
  Show dependency treegraph
 
Reported: 2012-03-29 13:07 EDT by Vincent Danen
Modified: 2015-11-24 09:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 05:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-29 13:07:46 EDT
A flaw was found in libpng's out-of-memory handling in png_set_text2() where it failed to enlarge the info_ptr->text array and didn't restore the prior state correctly, leaving a dangling pointer.  Since this failure was not considered a hard error, if there were more text chunks in the file, control came back again, which led to to writing file-determined data through the dangling pointer.  In order for this to be exploited to be more than a simple crash of the application linked to libpng, the attack would need to be very targeted.  This flaw has been fixed in libpng 1.4.11 [1] which indicated:

Revised png_set_text_2() to avoid potential memory corruption (fixes CVE-2011-3048).

A patch is available in git [2].

[1] http://sourceforge.net/projects/libpng/files/libpng14/1.4.11/
[2] http://libpng.git.sourceforge.net/git/gitweb.cgi?p=libpng/libpng;a=commitdiff;h=78322ccdeb994c311f6175fcefdb5761f85722cb#patch24

Some applications that ignore text chunks when processing PNG image files are not vulnerable to this because the vulnerable code is not called.  Firefox is one example of such an application that is not vulnerable.
Comment 1 Vincent Danen 2012-03-29 13:14:29 EDT
This is also fixed in the following libpng versions: 1.0.59, 1.2.49, 1.4.11, 1.5.10, and 1.6.0beta20
Comment 2 Vincent Danen 2012-04-03 14:09:36 EDT
Created libpng tracking bugs for this issue

Affects: fedora-all [bug 809597]
Comment 3 Vincent Danen 2012-04-03 14:09:39 EDT
Created libpng10 tracking bugs for this issue

Affects: epel-6 [bug 809595]
Affects: fedora-all [bug 809596]
Comment 4 Fedora Update System 2012-04-07 23:28:28 EDT
libpng10-1.0.59-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-04-07 23:34:11 EDT
libpng10-1.0.59-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-11 22:25:09 EDT
libpng-1.5.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-11 23:10:40 EDT
libpng10-1.0.59-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-14 13:59:44 EDT
libpng10-1.0.59-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-04-24 10:56:06 EDT
libpng-1.2.49-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-04-24 10:59:26 EDT
libpng-1.2.49-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2012-04-25 08:46:25 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0523 https://rhn.redhat.com/errata/RHSA-2012-0523.html

Note You need to log in before you can comment on or make changes to this bug.